Skip to main content
SLO & Service Quality/SLO

GetQueryTimeoutConfig

Retrieve the current VictoriaMetrics query timeout and fallback configuration.

GET/api/v1/slo/config/query-timeout

Operation ID

GetQueryTimeoutConfig

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

This API requires no request parameters.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • vmQueryTimeoutMs
    String

    VictoriaMetrics query timeout in milliseconds before fallback is triggered.

    Example: 5000

  • staleDataTtlSecs
    String

    Time-to-live in seconds for stale cached data to be considered valid.

    Example: 300

  • fallbackMode
    String

    Fallback strategy when VM is unavailable: stale_cache | last_known_good | conservative_estimate.

    Example: stale_cache